Collisions = {}

-- Simple box collision check between two rectangles A and B
function Collisions:box_collision(xa, ya, wa, ha, xb, yb, wb, hb)
	return ((xa <= xb + wb) and (xb <= xa + wa) and (ya <= yb + hb) and (yb <= ya + ha))
end

function Collisions:checkUpCollision(item, player)
	return (Collisions:box_collision(player.x, player.y-5, player.w, player.h, item.x, item.y, item.w, item.h) and item.itemType == 100)
end

function Collisions:checkDownCollision(item, player)
	return (Collisions:box_collision(player.x, player.y+5, player.w, player.h, item.x, item.y, item.w, item.h) and item.itemType == 100)
end

function Collisions:checkLeftCollision(item, player)
	return (Collisions:box_collision(player.x-5, player.y, player.w, player.h, item.x, item.y, item.w, item.h) and item.itemType == 100)
end

function Collisions:checkRightCollision(item, player)
	return (Collisions:box_collision(player.x+5, player.y, player.w, player.h, item.x, item.y, item.w, item.h) and item.itemType == 100)
end